aboutsummaryrefslogtreecommitdiff
path: root/build-without-aegis.bash
diff options
context:
space:
mode:
Diffstat (limited to 'build-without-aegis.bash')
-rwxr-xr-xbuild-without-aegis.bash10
1 files changed, 10 insertions, 0 deletions
diff --git a/build-without-aegis.bash b/build-without-aegis.bash
new file mode 100755
index 0000000..c20ca1a
--- /dev/null
+++ b/build-without-aegis.bash
@@ -0,0 +1,10 @@
+#!/bin/bash -eu
+
+cd "$(dirname "$0")"
+
+CGO_ENABLED=0 source ./build.bash -tags without_aegis
+
+if ldd gocryptfs 2> /dev/null ; then
+ echo "build-without-aegis.bash: error: compiled binary is not static"
+ exit 1
+fi